petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSetUseAmat

Sets a flag to indicate that when the preconditioner needs to apply (part of) the operator during the preconditioning process it applies the Amat provided to TSSetRHSJacobian(), TSSetIJacobian(), SNESSetJacobian(), KSPSetOperator() or PCSetOperator() not the Pmat.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCSetUseAmat(PC pc,PetscBool flg)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| flg | - PETSC_TRUE to use the Amat, PETSC_FALSE to use the Pmat (default is false) Many br

### Options Database Key

-pc_use_amat <true,false> - Many brNotes: Many brFor the common case in which the linear system matrix and the matrix used to construct the Many brpreconditioner are identical, this routine is does nothing. Many br

Many br

### See Also

PCGetUseAmat(), PCBJACOBI, PGMG, PCFIELDSPLIT, PCCOMPOSITE

Level:intermediate
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages